> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accounts.removed webhook

> The `accounts.removed` webhook is sent when a user revokes access to their account or an account is deleted.

<Warning>
When an account is removed all resources associated with the account, such as paystubs or uploaded documents, are deleted and this webhook is sent.

It is not recommend to use .removed webhooks for particular data sets to monitor for account deletions or revoked access, as they are not sent when an account is removed.
</Warning>




## OpenAPI

````yaml openAPI/accounts-webhooks-removed.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Accounts Webhooks API
  version: 1.0.0
  description: >
    API for handling account connection events via webhooks.

    The `accounts.added` webhook is sent when a user submits login credentials
    through Link. A new account object is created after the login credentials
    have undergone authentication, regardless of whether the connection was
    successful (`accounts.connected` is sent) or unsuccessful (`accounts.failed`
    is sent).
servers: []
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >
        The `accounts.removed` webhook is sent when a user revokes access to
        their account or an account is deleted.


        <Warning>

        When an account is removed all resources associated with the account,
        such as paystubs or uploaded documents, are deleted and this webhook is
        sent.


        It is not recommend to use .removed webhooks for particular data sets to
        monitor for account deletions or revoked access, as they are not sent
        when an account is removed.

        </Warning>
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountsRemovedRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountsRemovedWebhook'
components:
  schemas:
    AccountsRemovedRequest:
      type: object
      properties:
        events:
          type: array
          items:
            type: string
            enum:
              - accounts.removed
          description: |
            Array containing the `accounts.removed` event.
            Value: `accounts.removed`
        name:
          type: string
          description: Your name for the webhook subscription.
        url:
          type: string
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
        secret:
          type: string
          description: Optional secret used to verify webhooks.
      required:
        - events
        - name
        - url
      example:
        events:
          - accounts.removed
        name: name-for-the-webhook-subscription
        url: https://your-webhook-backend.com
        secret: optional-secret
    AccountsRemovedWebhook:
      type: object
      properties:
        event:
          type: string
          description: The event that triggered the webhook.
          example: accounts.removed
        name:
          type: string
          description: Name used for the webhook subscription.
          example: name-for-the-webhook-subscription
        data:
          type: object
          properties:
            account:
              type: string
              format: uuid
              description: ID of the account.
              example: 0187c66e-e7e5-811c-b006-2232f00f426a
            user:
              type: string
              format: uuid
              description: ID of the user.
              example: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
      example:
        event: accounts.removed
        name: name-for-the-webhook-subscription
        data:
          account: 0187c66e-e7e5-811c-b006-2232f00f426a
          user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````